Cluster Reconfig Clusters
This reconfiguration will handle changing both the number of hosts and the cluster storage capacity.
Organization identifier
Sddc identifier
cluster identifier
clusterReconfigureParams
Show optional properties
{
"num_hosts": 0
}
{
"storage_capacity": 0,
"bias": "string",
"num_hosts": 0
}
The final desired storage capacity after reconfiguring the cluster in GiB.
Bias value as obtained from the storage constraints call.
Number of hosts in the cluster after reconfiguring.
Accepted
{
"updated": "string",
"user_id": "string",
"updated_by_user_id": "string",
"created": "string",
"version": 5,
"updated_by_user_name": "string",
"user_name": "string",
"id": "1d1c83ee-e0b7-4de9-b660-9a9ca1d22f32",
"status": "string",
"localized_error_message": "string",
"resource_id": "string",
"parent_task_id": "string",
"task_version": "string",
"correlation_id": "string",
"start_resource_entity_version": 0,
"customer_error_message": "string",
"sub_status": "string",
"task_type": "string",
"start_time": "string",
"task_progress_phases": [
{
"id": "string",
"name": "string",
"progress_percent": 0
}
],
"error_message": "string",
"org_id": "1d1c83ee-e0b7-4de9-b660-9a9ca1d22f32",
"end_resource_entity_version": 5,
"service_errors": [
{
"default_message": "string",
"original_service": "string",
"localized_message": "string",
"original_service_error_code": "string"
}
],
"org_type": "string",
"estimated_remaining_minutes": 4,
"params": {},
"progress_percent": 75,
"phase_in_progress": "string",
"resource_type": "string",
"end_time": "string"
}
Bad Request. The SDDC is not in a valid state.
{
"status": 0,
"path": "string",
"retryable": false,
"error_code": "string",
"error_messages": [
"string"
]
}
HTTP status code
Originating request URI
If true, client should retry operation
unique error code
localized error messages
Unauthorized
Access not allowed to the operation for the current user
"ErrorResponse Object"
HTTP status code
Originating request URI
If true, client should retry operation
unique error code
localized error messages
Cannot find the cluster with the given id
"ErrorResponse Object"
HTTP status code
Originating request URI
If true, client should retry operation
unique error code
localized error messages
Method not allowed
"ErrorResponse Object"
HTTP status code
Originating request URI
If true, client should retry operation
unique error code
localized error messages
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"num_hosts:"integer"}' https://{api_host}/vmc/api/orgs/{org}/sddcs/{sddc}/clusters/{cluster}/reconfigure